Commit 9a990819 authored by PureTryOut's avatar PureTryOut

kde/kscreenlocker: remove, upstreamed (!449)

parent 595c9c5b
# Contributor: Bart Ribbers <bribbers@disroot.org>
# Maintainer: Bart Ribbers <bribbers@disroot.org>
pkgname=kscreenlocker
pkgver=5.15.5
pkgrel=2
pkgdesc="Library and components for secure lock screen architecture"
arch="all !armhf"
url="https://www.kde.org/workspaces/plasmadesktop/"
license="GPL-2.0"
depends="linux-pam elogind"
depends_dev="kcmutils-dev linux-pam-dev kidletime-dev kwayland-dev kdeclarative-dev qt5-qtdeclarative-dev kcrash-dev kglobalaccel-dev ki18n-dev ktextwidgets-dev qt5-qtx11extras-dev kwindowsystem-dev kxmlgui-dev kconfig-dev sonnet-dev kconfigwidgets-dev kauth-dev kcoreaddons-dev kcodecs-dev kwidgetsaddons-dev kservice-dev kpackage-dev knotifications-dev solid-dev"
makedepends="$depends_dev extra-cmake-modules kdoctools-dev libxcursor xcb-util-keysyms-dev"
source="https://download.kde.org/stable/plasma/$pkgver/$pkgname-$pkgver.tar.xz
kde.pam
kde-np.pam"
subpackages="$pkgname-dev $pkgname-lang"
options="suid !check" # Fails due to requiring running X11 and loginctl
build() {
cmake \
-DCMAKE_BUILD_TYPE=RelWithDebugInfo \
-DCMAKE_INSTALL_PREFIX=/usr \
-DCMAKE_INSTALL_LIBDIR=lib
make
}
check() {
cd "$builddir"
CTEST_OUTPUT_ON_FAILURE=TRUE ctest
}
package() {
cd "$builddir"
make DESTDIR="$pkgdir" install
install -D -m644 "$srcdir"/kde.pam "$pkgdir"/etc/pam.d/kde
install -m644 "$srcdir"/kde-np.pam "$pkgdir"/etc/pam.d/kde-np
}
sha512sums="95325d3ab07afea22a10e17a2bc0f4412d57b96385b6fc058d1b9785a07914e1ce89af7a8c773615f884263dc2136fd7c7eb112dcec9d516a267262c37d15d12 kscreenlocker-5.15.5.tar.xz
56e87d02d75c4a8cc4ed183faed416fb4972e7f223b8759959c0f5da32e11e657907a1df279d62a44a6a174f5aca8b2ac66a5f3325c5deb92011bcf71eed74c3 kde.pam
565265485dd7466b77966d75a56766216b8bcc187c95a997e531e9481cf50ddbe576071eb0e334421202bcab19aa6de6b93e042447ca4797a24bf97e1d053ffd kde-np.pam"
#%PAM-1.0
auth required pam_nologin.so
auth required pam_permit.so
account include base-account
password include base-password
session include base-session-noninteractive
#%PAM-1.0
auth required pam_nologin.so
auth include base-auth
account include base-account
password include base-password
session include base-session-noninteractive
Markdown is supported
0% or
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment